<script Language="C#" runat="server">
	/**
	 * @Description: 快钱人民币支付网关接口范例
	 * @Copyright (c) 上海快钱信息服务有限公司
	 * @version 2.0
	 */

	//初始化结果及地址
	string _ReturnXml = "";
//	int rtnOk = 0;
//	String rtnUrl = "";
	    
	void Page_Load(Object sender, EventArgs E){
	/*  
	 ' 商户网站逻辑处理，比方更新订单支付状态为成功
	' 特别注意：只有signMsg.ToUpper() == merchantSignMsg.ToUpper()，且payResult=10，才表示支付成功！
	*/
	//商家进行数据处理，并跳转会商家显示支付结果的页面
	///首先进行签名字符串验证

	string CallBackUrl = WinLibClass.Config.Global.WebSiteConfig.WebSiteDomain + "PayManage/_99bill/receive.aspx";
	string[] _CollectionParamString={
		 "?msg=error"
		,"?msg=success"
		,"?msg=false"
	};

	WinLibClass.WorkLogic.PayBank._99bill.ParamNotice ParamCol = new WinLibClass.WorkLogic.PayBank._99bill.ParamNotice();
	//本类调用规则
	//this.Get99billParam(2);
	ParamCol.AddParam();
	string _md5 = ParamCol.MD5();
	if (_md5 == ParamCol.signMsg.ToUpper())
	{
	    //处理成功
	    if (ParamCol.payResult == "10")
	    {
	        //支付成功，在此编写本地处理操作集合
	        _ReturnXml = ParamCol.CreateXml(1, CallBackUrl + _CollectionParamString[1]);
	    }
	    else
	    {
	        //支付失败
	        _ReturnXml = ParamCol.CreateXml(2, CallBackUrl + _CollectionParamString[2]);
	    }
	}
	else
	{
	    //返回值签名不一致，须再次检查
	    _ReturnXml = ParamCol.CreateXml(0, CallBackUrl + _CollectionParamString[0]);
	}
	//return _ReturnXml;
	
//	Response.Write(ParamCol.CollectionParamString);
	//Response.Write("<br />md5="+_md5);
	//Response.Write("<br />md5-="+ParamCol.signMsg.ToUpper());
	
}

//以下报告给快钱处理结果，并提供将要重定向的地址
//<result><-%=rtnOk %-></result><redirecturl><-%=rtnUrl %-></redirecturl>
</script>

<%
 //	Response.Clear();
 	Response.Write(_ReturnXml);
 //	Response.End(); 
%>
